<!--
Author:         Jakub Schon
Company:        Husky Energy
History:        jschn 26/08/2019 - Created.
 -->
<!-- VTT WOA List View Filter Store -->
<template>

	<div class="slds-text-align_left slds-is-relative" >

		<lightning-combobox name="Stored Filters"
							label="Stored Filters"
						    class="slds-p-bottom_small"
							if:false={loading}
							options={filterOptions}
							value={selectedFilter}
							onchange={handleSelection}></lightning-combobox>

		<div class="slds-text-align_center">
			<lightning-button name="Delete Filter"
							  label="Delete Filter"
							  variant="destructive"
							  onclick={handleDelete}
							  if:false={hasError}> </lightning-button>
		</div>

		<c-hog_error-msg error-message={errorMessage}
						 if:true={hasError}>
		</c-hog_error-msg>

		<lightning-spinner size="small"
						   if:true={loading}
						   alternative-text="Loading..."
						   class="slds-p-bottom_small"
						   variant="brand"></lightning-spinner>
	</div>

</template>